{% extends "account/base.html" %}

{% load i18n %}

{% block head_title %}{% trans "Signup" %}{% endblock %}

{% block content %}
<!DOCTYPE html>
<html>
<head>
	<title>Sign-Up</title>
	<!--Import Google Icon Font-->
      <link href="http://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!--Import materialize.css-->
      <link type="text/css" rel="stylesheet" href="/static/css/materialize.css"  media="screen,projection"/>
    <!--Import style.css-->
   	  <link rel="stylesheet" type="text/css" href="/static/css/portalstyle.css" media="screen,projection" />

   	  <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
   	  <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,700" rel="stylesheet">
   	
    <script src="/static/js/tag-it.js" type="text/javascript" charset="utf-8"></script>
    <link href="/static/css/jquery.tagit.css" rel="stylesheet" type="text/css">

    <!--Import jQuery before materialize.js-->
      <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.1.min.js"></script>
      <script type="text/javascript" src="/static/js/materialize.js"></script>
       <script src="/static/js/jquery.cropit.js"></script>
     <script  src="https://maps.googleapis.com/maps/api/js?v=3.exp&libraries=places"></script>
    
    <!--Let browser know website is optimized for mobile-->
      <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
       <script>
      	$( document ).ready(function(){
      		  $(".button-collapse").sideNav();
      		  $('.modal').modal();
      		   $('.datepicker').pickadate({
			    selectMonths: true, // Creates a dropdown to control month
			    selectYears: 15, // Creates a dropdown of 15 years to control year,
			    today: 'Today',
			    clear: 'Clear',
			    close: 'Ok',
			    closeOnSelect: false // Close upon selecting a date,
			  });
      		   $('ul.tabs').tabs();
      		    $(function() {

			        $('.image-editor').cropit({
			        	smallImage:'allow',
			        	minZoom:'fit',
			          imageState: {
			            src: 'http://lorempixel.com/500/400/',
			          },
			        });

			        $('.select-image-btn').click(function() {
					  $('.cropit-image-input').click();
					});
			       
			    
			        $('.save').click(function() {
			           
			          var imageData = $('.image-editor').cropit('export');
			           $('#image_section').show();
			           $('.uploaded_image').attr('src',imageData);
			            $('#modal2').modal('close');
			        });
			      });

      		    /**DATALIST MULTIPLE**/
      		    var datalist = jQuery('datalist');
				var options = jQuery('datalist option');
				var optionsarray = jQuery.map(options ,function(option) {
						return option.value;
				});
				var input = jQuery('input[list]');
				var inputcommas = (input.val().match(/,/g)||[]).length;
				var separator = ',';
						
				function filldatalist(prefix) {
					if (input.val().indexOf(separator) > -1 && options.length > 0) {
						datalist.empty();
						for (i=0; i < optionsarray.length; i++ ) {
							if (prefix.indexOf(optionsarray[i]) < 0 ) {
								datalist.append('<option value="'+prefix+optionsarray[i]+'">');
							}
						}
					}
				}
				input.bind("change paste keyup",function() {
					var inputtrim = input.val().replace(/^\s+|\s+$/g, "");
					var currentcommas = (input.val().match(/,/g)||[]).length;
					if (inputtrim != input.val()) {
						if (inputcommas != currentcommas) {
							var lsIndex = inputtrim.lastIndexOf(separator);
							var str = (lsIndex != -1) ? inputtrim.substr(0, lsIndex)+", " : "";
							filldatalist(str);
							inputcommas = currentcommas;
						}
						input.val(inputtrim);
					}
				});

				
				 $('.btnNext').click(function(){
				  $('.tabs > .tab > .active').parent().next('li').find('a').trigger('click');
				});

				 $('.btnPrevious').click(function(){
					  $('.tabs > .tab > .active').parent().prev('li').find('a').trigger('click');
					});
$("#mySingleFieldTags").tagit({
        availableTags: sampleTags
    });      		
});


      </script>		  
</head>
<body style="background-color: #eceff1">
	<header>
		<!--NAVIGATION BAR-->
		<div class="navbar-fixed">
			<nav>
			    <div class="nav-wrapper white" id="nav_bottom">
			      <a href="#!" class="left hide-on-med-and-down"><img src="/static/images/button.png" class="responsive-img icon-position" width="30dp" height="24dp"></a>
			      <a href="#!" class="brand-logo"><img src="/static/images/logo2.png" class="responsive-img icon-position" width="100px" style="margin-left: 10px"></a>
			      <a href="#" data-activates="mobile-demo" class="button-collapse"><img src="/static/images/button.png" style="margin:15px 0px 0px 10px;width: 30px;height:30px" class="responsive-img 		icon-position"></a>
			      <ul class="right hide-on-med-and-down black-text">
			        <li>
			        	<form>
					        <div class="input-field">
					          <input type="text" name="search" placeholder="Search by title,author,isbn"> <label class="label-icon" for="search">
					          <img class="material-icons" src="/static/icons/search.png" style="padding-top: 10px"></img></label>
	          				  
					        </div>
					     </form>
			        </li>
			        <li><a href="#!"><img src="/static/images/account.png" class="responsive-img icon-position " width="30px" height="24px"></a></li>
			        <li><a href="#!"><img src="/static/images/cart.png" class="responsive-img icon-position" width="30px" height="24px"></a></li>
			        <li><a href="#!"><img src="/static/images/list.png" class="responsive-img icon-position" width="30px" height="24px"></a></li>
			        <li><a href="#!"><img src="/static/images/chat.png" class="responsive-img icon-position" width="30dpx" height="24px"></a></li>
			      </ul>
			      
			    </div>
			  </nav>		
		</div>
		<ul class="side-nav" id="mobile-demo">
	      	<li style="margin-left: 10px;margin-top: 10px;">
	        	<form>
			        <div class="input-field">
			           <input type="text" name="search" placeholder="Search by title,author,isbn"> <label class="label-icon" for="search">
			          <img class="material-icons" src="/static/icons/search.png"></img></label>
			        </div>
			     </form>
	        </li>
	         <li><a href="#!"><img src="/static/images/account.png" class="responsive-img icon-position" width="30px" height="24px"><span class="nav-menu">Login</span></a></li>
	        <li><a href="#!"><img src="/static/images/cart.png" class="responsive-img icon-position" width="30px" height="24px"><span class="nav-menu">Cart</span></a></li>
	        <li><a href="#!"><img src="/static/images/list.png" class="responsive-img icon-position" width="30px" height="24px"></a></li>
	        <li><a href="#!"><img src="/static/images/chat.png" class="responsive-img icon-position" width="30dpx" height="24px"></a></li>
	      </ul>
	</header>

	<main>
		<div class="row">
			<div class="col s12">
				<center><h1>Register Yourself</h1></center>
			</div>
		</div>
		<div class="container white" id="sign_up_form">
			<div class="row">
				<div class="col s12">
					<ul class="tabs swipeable signup_tabs">
				        <li class="tab col s4"><a class="active" href="#per_det">.</a></li>
				        <li class="tab col s4"><a  href="#acc_det">.</a></li>
				        <li class="tab col s4"><a  href="#upload">.</a></li>
				    </ul>
				</div>
			</div>
			<div class="row">
				<form class="col s12">
					<div id="per_det" class="col s12">
						<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
<label class="active form_headers" for="pen_name">Name<span class="compulsory">*</span></label>
				{{form.name}}
						    </div>
						</div>
						<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
						      {{form.penName}}
						      <label class="active form_headers" for="pen_name">Pen Name<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
						      {{form.phone}}
						      <label class="active form_headers" for="name">Phone Number<span class="compulsory">*</span></label>
						    </div>
						</div>
		        		<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
{{form.dob}}
						      <label class="active form_headers" for="dob">DOB<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
			 {{form.address}}
						      <label class="active form_headers" for="address">Address<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
						    <div class="col s12">
						    	<button class="active sign_up_buttons" for="geolocation" onclick="getLocation()">Add Geolocation</button>
						    	<p id="demo"></p>	
						    </div>
						</div>

						<div class="row">
							<div class="col s12">
								<a class="waves-effect waves-light btn right btnNext">NEXT</a>
							</div>
						</div>
					</div>

				    <div id="acc_det" class="col s12">
				    		<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
						    
						      <input list="author_name" name="browser" id="authors" class="sign_in">
							  <datalist id="author_name">
							    <option value="JK Rowling">
							    <option value="">
							    <option value="Chrome">
							    <option value="Opera">
							    <option value="Safari">
							  </datalist>
						      <label class="active form_headers" for="authors">Favourite Authors<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
						      <input id="genres" placeholder="Enter Genres" type="text" class="validate sign_in">
						      <label class="active form_headers" for="genres">Preferred Genres<span class="compulsory">*</span></label>
						    </div>
						</div>
	<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
 <p>
                If you instantiate Tag-it on an INPUT element, it will default to being singleField, with that INPUT element as the singleFieldNode. This is the simplest way to have a gracefully-degrading tag widget.
            </p>
<label>Tags:</label>
    <input name="tags" id="mySingleFieldTags" value="fancy, new, tag, demo">

					      <label class="active form_headers" for="genres">Genres<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
						    <div class="input-field col s12 sign_up_form_input_field">
						        <textarea id="message_profile" class="materialize-textarea sign_in" placeholder=""></textarea>
						      <label class="active form_headers" for="message_profile">Message For the World<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
							<div class="col s12">
								<a class="waves-effect waves-light btn btnPrevious">PREVIOUS</a>
								<a class="waves-effect waves-light btn right btnNext">NEXT</a>
							</div>
						</div>
				    </div>
				    <div id="upload" class="col s12">
				    	<div class="row">
				    		<div class="col s12 center">
				    			<br>
				    			<a class="waves-effect waves-light btn" href="#modal2">UPLOAD PROFILE PICTURE</a>
				    		</div>
				    	</div>
				    	<div class="row">
				    		<div class="col s12 center">
				    			<br>
				    			<a class="waves-effect waves-light btn" href="#modal2">UPLOAD COVER PHOTO</a>
				    		</div>
				    	</div>
				    	<div class="row">
				    		<div class="col s12 right">
				    			<br>
				    			<a class="waves-effect waves-light btn btnPrevious">PREVIOUS</a>
								<a class="waves-effect waves-light btn right">SUBMIT</a>
				    		</div>
				    	</div>
				    </div>
					
				</form>
			</div>
		</div>
		<script>
			var x = document.getElementById("demo");

			function getLocation() {
			    if (navigator.geolocation) {
			        navigator.geolocation.getCurrentPosition(showPosition, showError);
			    } else { 
			        x.innerHTML = "Geolocation is not supported by this browser.";
			    }
			}

			function showPosition(position) {
			    x.innerHTML = "Latitude: " + position.coords.latitude + 
			    "<br>Longitude: " + position.coords.longitude;
			}

			function showError(error) {
			    switch(error.code) {
			        case error.PERMISSION_DENIED:
			            x.innerHTML = "User denied the request for Geolocation."
			            break;
			        case error.POSITION_UNAVAILABLE:
			            x.innerHTML = "Location information is unavailable."
			            break;
			        case error.TIMEOUT:
			            x.innerHTML = "The request to get user location timed out."
			            break;
			        case error.UNKNOWN_ERROR:
			            x.innerHTML = "An unknown error occurred."
			            break;
			    }
			}
		</script>
<script>
            function init() {
                var input = document.getElementById('locationTextField');
                var autocomplete = new google.maps.places.Autocomplete(input);
            }

            google.maps.event.addDomListener(window, 'load', init);
        </script>
		<!-- Modal Structure -->
		  <div id="modal2" class="modal" style="background-color: #fff;overflow-x: hidden;">
		    <div class="modal-content" style="padding: 10px">
		        <div class="row">
		         	<div class="col s12">
		         		<h4 class="left">UPLOAD</h4>		
		         	</div>
		        </div>
		         
		         
		        <div class="image-editor">
		      		<div class="row" style="margin-top: 20px;">
		       			<div class="col s12 m12 l6 center">
		    				 <!-- The actual file input will be hidden -->
			 	  		    <input type="file" class="cropit-image-input" />
		              		<div class="btn red select-image-btn">Select new image</div>
		         			<br><br>
		         		    <div class="btn blue save">SAVE</div>
		         		</div>
		         		<div class="col s12 m 12 l6">
		         			<div class="cropit-preview"></div>
	         			</div>
  			  		</div>
		       		<div class="row">
		       			<div class="col s12 m12 l6 offset-m4 offset-l6">
		       				<div class="image-size-label ">
						        Resize image
					        </div>
							<input type="range" class="cropit-image-zoom-input">
		         		</div>
		         	</div>
		        </div>

		    </div>
		   
		    
		  </div>
	</main>
</body>
</html>
{% endblock %}
